--you may need to the database with a larger bufferpool and tablespace sizes
--add the following  IN USERSPACE32K;  at end of the table definition in both the FCM_EMAIL_ALERT and FCM_SCENARIO_GROUP
--suggested table size fcm_alert_email: 16384 and for fcm_group_scenario: 8192


CREATE TABLE ALERT_SUMMARY
(
        ALERT_SK             NUMERIC(19)  ,
        SEGMENT_ID           VARCHAR(128)  ,
        RECORD_VERSION_NO    NUMERIC(10)  ,
        SCENARIO_SK          NUMERIC(10)  ,
        SCENARIO_GROUP_RK    VARCHAR(20)  ,
        PROJECT_RK           VARCHAR(20)  ,
        PROJECT_SK           NUMERIC(10)  ,
        ENTITY_VARIABLE_SK   NUMERIC(10)  ,
        RECIPIENT_TYPE_CD    VARCHAR(20)  ,
        RECIPIENT_ID         VARCHAR(32)  ,
        ALERT_STATUS_CD      VARCHAR(20)  ,
        SCENARIO_SEVERITY_SCORE_NO NUMERIC(10,2)  ,
        SCENARIO_DESC        VARCHAR(100)  ,
        ALERT_SUPPRESSED_FLG CHAR(1)  ,
        SUPPRESSION_END_DT   TIMESTAMP  ,
        ALERT_TRIGGER_TXT    VARCHAR(512)  ,
        RUN_DT               TIMESTAMP  ,
        OPEN_FLG             CHAR(1)  ,
        FACILITY_NM          VARCHAR(60)  ,
        ENTITY_NM            VARCHAR(255)  ,
        FIRST_NM             VARCHAR(60)  ,
        MIDDLE_NM            VARCHAR(60)  ,
        LAST_NM              VARCHAR(60)  ,
        ADDRESS_LINE_1_TXT   VARCHAR(100)  ,
        ADDRESS_LINE_2_TXT   VARCHAR(100)  ,
        CITY_NM              VARCHAR(100)  ,
        POSTAL_CD            VARCHAR(20)  ,
        WORK_PHONE_NO        VARCHAR(20)  ,
        HOME_PHONE_NO        VARCHAR(20)  ,
        GENDER_CD            VARCHAR(3)  ,
        BIRTH_DT             TIMESTAMP  ,
        PROVIDER_SPECIALTY_DESC VARCHAR(100)  ,
        SCENARIO_NM          VARCHAR(100)  ,
        TOTAL_PAID_AMT       NUMERIC(15,3)  ,
        ALERT_TYPE           VARCHAR(20)  ,
        CLAIM_ID             VARCHAR(32)  ,
        XCLM_BILL_AMT        NUMERIC(15,3)  ,
        SCENARIO_LOSS_AMT    NUMERIC(15,3)  ,
        ENTITY_SK            NUMERIC(10)  ,
        N_ALERTS_SCORE_NO    NUMERIC(10)  ,
        AMT_LOSS_SCORE_NO    NUMERIC(10)  ,
        SEVERITY_SCORE_NO    NUMERIC(10)  ,
        SCENARIO_WEIGHT_NO   NUMERIC(10,2)  ,
        ACTIONABLE_ENTITY_SCORE_NO NUMERIC(10)  ,
        ACTIONABLE_ENTITY_RANK_NO NUMERIC(10)  ,
        TOTAL_N_ALERTS_NO    NUMERIC(10)  ,
        OVERALL_ACTIONABLE_ENTITY_RANK NUMERIC(10)  ,
        SUBMITTED_DT         TIMESTAMP  ,
        CREATED_USER_ID      VARCHAR(32)  ,
        CREATED_MS_NO        NUMERIC(19)  ,
        MODIFIED_MS_NO       NUMERIC(19)  ,
        MODIFIED_USER_ID     VARCHAR(32)  ,
        VALID_FROM_DTTM      TIMESTAMP  ,
        VALID_TO_DTTM        TIMESTAMP  ,
        PROCESSED_DTTM       TIMESTAMP
);



CREATE TABLE FCM_ALERT
(
        ALERT_SK             NUMERIC(19) NOT NULL ,
        SEGMENT_ID           VARCHAR(128) NOT NULL ,
        RECORD_VERSION_NO    NUMERIC(10)  ,
        PROJECT_SK           NUMERIC(10) NOT NULL ,
        SCENARIO_SK          NUMERIC(10) NOT NULL ,
        ENTITY_SK            NUMERIC(10) NOT NULL ,
        ENTITY_VARIABLE_SK   NUMERIC(10) NOT NULL ,
        ALERT_STATUS_CD      VARCHAR(20)  ,
        SCENARIO_SEVERITY_SCORE_NO NUMERIC(10,2)  ,
        SCENARIO_DESC        VARCHAR(100)  ,
        ALERT_SUPPRESSED_FLG CHAR(1)  ,
        SUPPRESSION_END_DT   TIMESTAMP  ,
        ALERT_TRIGGER_TXT    VARCHAR(512)  ,
        RUN_DT               TIMESTAMP  ,
        OPEN_FLG             CHAR(1)  ,
        RISK_FLG             CHAR(1)  ,
        ENTITY_NM            VARCHAR(255)  ,
        RECIPIENT_ID         VARCHAR(32) NOT NULL ,
        RECIPIENT_TYPE_CD    VARCHAR(20) NOT NULL ,
        CREATED_USER_ID      VARCHAR(32)  ,
        PROCESSED_DTTM       TIMESTAMP
);

ALTER TABLE FCM_ALERT
     ADD  PRIMARY KEY (ALERT_SK);


CREATE INDEX XAK3FCM_ALERT ON FCM_ALERT
(PROJECT_SK   ASC);


CREATE  INDEX XIF4FCM_ALERT ON FCM_ALERT
(SCENARIO_SK   ASC);



CREATE TABLE FCM_ALERT_COMMENT
(
        COMMENT_SK           NUMERIC(19) NOT NULL ,
        SEGMENT_ID           VARCHAR(128) NOT NULL ,
        ALERT_SK             NUMERIC(19) NOT NULL ,
        RECORD_VERSION_NO    NUMERIC(10)  ,
        ALERT_COMMENT_TXT    VARCHAR(2000) NOT NULL ,
        ITEM_ID              VARCHAR(32)  ,
        CREATED_USER_ID      VARCHAR(32)  ,
        PROCESSED_DTTM       TIMESTAMP
);

ALTER TABLE FCM_ALERT_COMMENT
        ADD  PRIMARY KEY (COMMENT_SK);


CREATE TABLE FCM_ALERT_DOCUMENT
(
        DOCUMENT_SK          NUMERIC(19) NOT NULL ,
        SEGMENT_ID           VARCHAR(128) NOT NULL ,
        FCM_ALERT_DOCUMENT_SK NUMERIC(19) NOT NULL ,
        RECORD_VERSION_NO    NUMERIC(10)  ,
        DOCUMENT_NM          VARCHAR(255) NOT NULL ,
        DOCUMENT_MIME_TYPE_DESC VARCHAR(255) NOT NULL ,
        DOCUMENT_LOCATION_DESC VARCHAR(2000) NOT NULL ,
        DOCUMENT_FILE_NM     VARCHAR(255)  ,
        DOCUMENT_DESC        VARCHAR(255)  ,
        CREATED_USER_ID      VARCHAR(32)  ,
        PROCESSED_DTTM       TIMESTAMP
);

ALTER TABLE FCM_ALERT_DOCUMENT
        ADD  PRIMARY KEY (DOCUMENT_SK);


CREATE TABLE FCM_ALERT_EMAIL
(
        EMAIL_SK             NUMERIC(19) NOT NULL  ,
        SEGMENT_ID           VARCHAR(128) NOT NULL ,
        ALERT_SK             NUMERIC(19) NOT NULL ,
        RECORD_VERSION_NO    NUMERIC(10)  ,
        EMAIL_TO_TXT         VARCHAR(2000) NOT NULL ,
        EMAIL_CC_TXT         VARCHAR(2000)  ,
        EMAIL_SUBJECT_DESC   VARCHAR(255)  ,
        EMAIL_MESSAGE_TXT    VARCHAR(4000)  ,
        CREATED_USER_ID      VARCHAR(32)  ,
        PROCESSED_DTTM       TIMESTAMP
);

ALTER TABLE FCM_ALERT_EMAIL
        ADD  PRIMARY KEY (EMAIL_SK);


CREATE TABLE FCM_ALERT_ENRICHMENT
(
        ALERT_ENRICHMENT_SK  NUMERIC(19) NOT NULL ,
        SEGMENT_ID           VARCHAR(128) NOT NULL ,
        PROJECT_SK           NUMERIC(10)  ,
        ALERT_SK             NUMERIC(19) NOT NULL ,
        ALERT_ENRICHMENT_NM  VARCHAR(255)  ,
        DATA_TYPE_CD         VARCHAR(20)  ,
        ALERT_ENRICHMENT_VALUE VARCHAR(200)  ,
        ALERT_ENRICHMENT_VALUE_DESC VARCHAR(1000)  ,
        RECIPIENT_ID         VARCHAR(32)  ,
        RECIPIENT_TYPE_CD    VARCHAR(20)  ,
        CREATED_USER_ID      VARCHAR(32)  ,
        PROCESSED_DTTM       TIMESTAMP
);

ALTER TABLE FCM_ALERT_ENRICHMENT
        ADD  PRIMARY KEY (ALERT_ENRICHMENT_SK);


CREATE TABLE FCM_ALERT_ENTITY
(
        ALERT_ENTITY_SK      NUMERIC(19) NOT NULL ,
        SEGMENT_ID           VARCHAR(128) NOT NULL ,
        RECORD_VERSION_NO    NUMERIC(10)  ,
        ENTITY_SK            NUMERIC(10) NOT NULL ,
        ENTITY_VARIABLE_SK   NUMERIC(10) NOT NULL ,
        ENTITY_NM            VARCHAR(255)  ,
        N_ALERTS_SCORE_NO    NUMERIC(10)  ,
        AMT_LOSS_SCORE_NO    NUMERIC(10)  ,
        SEVERITY_SCORE_NO    NUMERIC(10)  ,
        ACTIONABLE_ENTITY_SCORE_NO NUMERIC(10)  ,
        ACTIONABLE_ENTITY_RANK_NO NUMERIC(10)  ,
        TOTAL_N_ALERTS_NO    NUMERIC(10)  ,
        SCENARIO_TOTAL_LOSS_AMT NUMERIC(15,3)  ,
        OVERALL_ACTIONABLE_ENTITY_RANK NUMERIC(10)  ,
        CREATED_USER_ID      VARCHAR(32)  ,
        PROCESSED_DTTM       TIMESTAMP
);

ALTER TABLE FCM_ALERT_ENTITY
        ADD  PRIMARY KEY (ALERT_ENTITY_SK);

CREATE INDEX XAK1FCM_ALERT_ENTITY ON FCM_ALERT_ENTITY
(ENTITY_SK   ASC,ENTITY_VARIABLE_SK   ASC);



CREATE TABLE FCM_ALERT_EVENT
(
        EVENT_SK             NUMERIC(19) NOT NULL ,
        SEGMENT_ID           VARCHAR(128) NOT NULL ,
        ALERT_SK             NUMERIC(19) NOT NULL ,
        RECORD_VERSION_NO    NUMERIC(10)  ,
        EVENT_TYPE_CD        VARCHAR(20)  ,
        EVENT_DESC           VARCHAR(255)  ,
        CREATED_USER_ID      VARCHAR(32)  ,
        PROCESSED_DTTM       TIMESTAMP
);

ALTER TABLE FCM_ALERT_EVENT
        ADD  PRIMARY KEY (EVENT_SK);



CREATE TABLE FCM_ALERT_REMINDER
(
        ALERT_REMINDER_SK    NUMERIC(19) NOT NULL ,
        SEGMENT_ID           VARCHAR(128) NOT NULL ,
        ALERT_SK             NUMERIC(19)  ,
        RECORD_VERSION_NO    NUMERIC(10)  ,
        REMINDER_DT          TIMESTAMP NOT NULL ,
        REMINDER_SENT_FLG    CHAR(1)  ,
        CREATED_USER_ID      VARCHAR(32)  ,
        PROCESSED_DTTM       TIMESTAMP
);

ALTER TABLE FCM_ALERT_REMINDER
        ADD  PRIMARY KEY (ALERT_REMINDER_SK);


CREATE TABLE FCM_ALERT_RISK_FACTOR
(
        ALERT_RISK_FACTOR_SK NUMERIC(19) NOT NULL ,
        SEGMENT_ID           VARCHAR(128) NOT NULL ,
        ALERT_SK             NUMERIC(19) NOT NULL ,
        RECORD_VERSION_NO    NUMERIC(10)  ,
        SCENARIO_SK          NUMERIC(10) NOT NULL ,
        ALERT_ENTITY_SK      NUMERIC(19) NOT NULL ,
        ALERT_TRIGGER_TXT    VARCHAR(512)  ,
        CREATED_USER_ID      VARCHAR(32)  ,
        PROCESSED_DTTM       TIMESTAMP
);

ALTER TABLE FCM_ALERT_RISK_FACTOR
        ADD  PRIMARY KEY (ALERT_RISK_FACTOR_SK);


CREATE TABLE FCM_ENTITY
(
        ENTITY_SK            NUMERIC(10) NOT NULL GENERATED ALWAYS AS IDENTITY PRIMARY KEY,
        SEGMENT_ID           VARCHAR(128) NOT NULL ,
        PROJECT_RK           VARCHAR(20) NOT NULL ,
        RECORD_VERSION_NO    NUMERIC(10)  ,
        SAS_FILE_PATH_NM     VARCHAR(1000)  ,
        ENTITY_NM            VARCHAR(255)  ,
        CREATED_USER_ID      VARCHAR(32)  ,
        CREATED_MS_NO        NUMERIC(19)  ,
        MODIFIED_MS_NO       NUMERIC(19)  ,
        MODIFIED_USER_ID     VARCHAR(32)  ,
        VALID_FROM_DTTM      TIMESTAMP  ,
        VALID_TO_DTTM        TIMESTAMP  ,
        LOGICAL_DELETE_FLG   CHAR(1)  ,
        LOGICAL_RK           VARCHAR(20) NOT NULL
);





CREATE TABLE FCM_ENTITY_VAR
(
        ENTITY_VARIABLE_SK   NUMERIC(10) NOT NULL GENERATED ALWAYS AS IDENTITY PRIMARY KEY,
        SEGMENT_ID           VARCHAR(128) NOT NULL ,
        RECORD_VERSION_NO    NUMERIC(10)  ,
        VARIABLE_NM          VARCHAR(255)  ,
        LIBRARY_PATH_NM      VARCHAR(1000)  ,
        LIBREF_NM            VARCHAR(8)  ,
        DATASET_NM           VARCHAR(40)  ,
        DATA_TYPE_CD         VARCHAR(20)  ,
        ENTITY_RK            VARCHAR(20) NOT NULL ,
        CREATED_USER_ID      VARCHAR(32)  ,
        CREATED_MS_NO        NUMERIC(19)  ,
        MODIFIED_MS_NO       NUMERIC(19)  ,
        MODIFIED_USER_ID     VARCHAR(32)  ,
        VALID_FROM_DTTM      TIMESTAMP  ,
        VALID_TO_DTTM        TIMESTAMP  ,
        LOGICAL_DELETE_FLG   CHAR(1)  ,
        LOGICAL_RK           VARCHAR(20) NOT NULL
);



CREATE TABLE FCM_FORM_ITEM
(
        FORM_ITEM_SK         NUMERIC(10) NOT NULL GENERATED ALWAYS AS IDENTITY PRIMARY KEY,
        SEGMENT_ID           VARCHAR(128) NOT NULL ,
        RECORD_VERSION_NO    NUMERIC(10)  ,
        PARAMETER_RK         VARCHAR(20) NOT NULL ,
        FORM_ITEM_LABEL      VARCHAR(40)  ,
        FORM_ITEM_LABEL_DESC VARCHAR(200)  ,
        FORM_ITEM_TYPE_CD    VARCHAR(20)  ,
        DEFAULT_VALUE        VARCHAR(40)  ,
        MANAGED_LIST_NO      NUMERIC(10)  ,
        CREATED_USER_ID      VARCHAR(32)  ,
        CREATED_MS_NO        NUMERIC(19)  ,
        MODIFIED_MS_NO       NUMERIC(19)  ,
        MODIFIED_USER_ID     VARCHAR(32)  ,
        VALID_FROM_DTTM      TIMESTAMP  ,
        VALID_TO_DTTM        TIMESTAMP  ,
        LOGICAL_DELETE_FLG   CHAR(1)  ,
        LOGICAL_RK           VARCHAR(20) NOT NULL
);



CREATE TABLE FCM_FORM_ITEM_OPTION
(
        FORM_ITEM_OPTION_SK  NUMERIC(10) NOT NULL GENERATED ALWAYS AS IDENTITY PRIMARY KEY,
        SEGMENT_ID           VARCHAR(128) NOT NULL ,
        RECORD_VERSION_NO    NUMERIC(10)  ,
        FORM_ITEM_RK         VARCHAR(20) NOT NULL ,
        FORM_ITEM_OPTION_LABEL VARCHAR(200)  ,
        FORM_ITEM_OPTION_VALUE VARCHAR(200)  ,
        CREATED_USER_ID      VARCHAR(32)  ,
        CREATED_MS_NO        NUMERIC(19)  ,
        MODIFIED_MS_NO       NUMERIC(19)  ,
        MODIFIED_USER_ID     VARCHAR(32)  ,
        VALID_FROM_DTTM      TIMESTAMP  ,
        VALID_TO_DTTM        TIMESTAMP  ,
        LOGICAL_DELETE_FLG   CHAR(1)  ,
        LOGICAL_RK           VARCHAR(20) NOT NULL
);



CREATE TABLE FCM_JOB_CALENDAR
(
        JOB_CALENDAR_ID      VARCHAR(32) NOT NULL ,
        SEGMENT_ID           VARCHAR(128)  ,
        CALENDAR_DT          TIMESTAMP  ,
        RUNDATE_FLG          CHAR(1)  ,
        INTRA_DAY_FLG        CHAR(1)  ,
        DAILY_RUN_FLG        CHAR(1)  ,
        WEEKLY_RUN_FLG       CHAR(1)  ,
        MONTHLY_RUN_FLG      CHAR(1) NOT NULL ,
        STATUS_FLG           CHAR(1)  ,
        BUSINESS_DAY_CNT     NUMERIC(15)
);

ALTER TABLE FCM_JOB_CALENDAR
        ADD  PRIMARY KEY (JOB_CALENDAR_ID);


CREATE TABLE FCM_MANAGED_LIST
(
        MANAGED_LIST_SK      NUMERIC(10) NOT NULL GENERATED ALWAYS AS IDENTITY PRIMARY KEY,
        SEGMENT_ID           VARCHAR(128) NOT NULL ,
        MANAGED_LIST_NO      NUMERIC(10)  ,
        MANAGED_LIST_NM      VARCHAR(255)  ,
        MANAGED_LIST_VALUE_TXT VARCHAR(1000)  ,
        MANAGED_LIST_DESC    VARCHAR(1000)  ,
        DISPLAY_ORDER_NO     NUMERIC(6)  ,
        DATA_TYPE_CD         VARCHAR(20)  ,
        RECORD_VERSION_NO    NUMERIC(10)  ,
        CREATED_USER_ID      VARCHAR(32)  ,
        CREATED_MS_NO        NUMERIC(19)  ,
        MODIFIED_MS_NO       NUMERIC(19)  ,
        MODIFIED_USER_ID     VARCHAR(32)  ,
        VALID_FROM_DTTM      TIMESTAMP  ,
        VALID_TO_DTTM        TIMESTAMP  ,
        LOGICAL_DELETE_FLG   CHAR(1)  ,
        LOGICAL_RK           VARCHAR(20) NOT NULL
);





CREATE TABLE FCM_PARAMETER
(
        PARAMETER_SK         NUMERIC(10) NOT NULL GENERATED ALWAYS AS IDENTITY PRIMARY KEY,
        SEGMENT_ID           VARCHAR(128) NOT NULL ,
        RECORD_VERSION_NO    NUMERIC(10)  ,
        PARENT_RK            VARCHAR(20) NOT NULL ,
        PROJECT_PARAMETER_RK VARCHAR(20)  ,
        PARAMETER_NM         VARCHAR(255)  ,
        PARAMETER_DESC       VARCHAR(100)  ,
        PARAMETER_VALUE      VARCHAR(1000)  ,
        DATA_TYPE_CD         VARCHAR(20)  ,
        CREATED_USER_ID      VARCHAR(32)  ,
        CREATED_MS_NO        NUMERIC(19)  ,
        MODIFIED_MS_NO       NUMERIC(19)  ,
        MODIFIED_USER_ID     VARCHAR(32)  ,
        VALID_FROM_DTTM      TIMESTAMP  ,
        VALID_TO_DTTM        TIMESTAMP  ,
        LOGICAL_DELETE_FLG   CHAR(1)  ,
        LOGICAL_RK           VARCHAR(20) NOT NULL
);




CREATE TABLE FCM_PREP_TABLE
(
        PREP_TABLE_SK        NUMERIC(10) NOT NULL GENERATED ALWAYS AS IDENTITY PRIMARY KEY,
        SEGMENT_ID           VARCHAR(128) NOT NULL ,
        RECORD_VERSION_NO    NUMERIC(10)  ,
        PROJECT_RK           VARCHAR(20) NOT NULL ,
        PREP_TABLE_NM        VARCHAR(255)  ,
        PREP_TABLE_DESC      VARCHAR(100)  ,
        LIBRARY_PATH_NM      VARCHAR(1000)  ,
        LIBREF_NM            VARCHAR(8)  ,
        DATASET_NM           VARCHAR(40)  ,
        CREATED_USER_ID      VARCHAR(32)  ,
        CREATED_MS_NO        NUMERIC(19)  ,
        MODIFIED_MS_NO       NUMERIC(19)  ,
        MODIFIED_USER_ID     VARCHAR(32)  ,
        VALID_FROM_DTTM      TIMESTAMP  ,
        VALID_TO_DTTM        TIMESTAMP  ,
        LOGICAL_DELETE_FLG   CHAR(1)  ,
        LOGICAL_RK           VARCHAR(20) NOT NULL
);




CREATE TABLE FCM_PROJECT
(
        PROJECT_SK           NUMERIC(10) NOT NULL GENERATED ALWAYS AS IDENTITY PRIMARY KEY,
        SEGMENT_ID           VARCHAR(128) NOT NULL ,
        RECORD_VERSION_NO    NUMERIC(10)  ,
        PROJECT_NM           VARCHAR(255)  ,
        PROJECT_DESC         VARCHAR(1000)  ,
        PRE_PROCESS_FILE_PATH VARCHAR(1000)  ,
        POST_PROCESS_FILE_PATH VARCHAR(1000)  ,
        RECIPIENT_TYPE_CD    VARCHAR(20)  ,
        RECIPIENT_ID         VARCHAR(32)  ,
        ROUTING_GROUP_RK     VARCHAR(20)  ,
        SUPPRESSION_GROUP_RK VARCHAR(20)  ,
        RUN_FREQUENCY_TYPE_CD VARCHAR(3)  ,
        ALERT_TEMPLATE_LIBREF_NM VARCHAR(8)  ,
        ALERT_TEMPLATE_DATASET_NM VARCHAR(40)  ,
        SUPPRESSION_MS_NO    NUMERIC(19)  ,
        CREATED_USER_ID      VARCHAR(32)  ,
        CREATED_MS_NO        NUMERIC(19)  ,
        MODIFIED_MS_NO       NUMERIC(19)  ,
        MODIFIED_USER_ID     VARCHAR(32)  ,
        VALID_FROM_DTTM      TIMESTAMP  ,
        VALID_TO_DTTM        TIMESTAMP  ,
        LOGICAL_DELETE_FLG   CHAR(1)  ,
        LOGICAL_RK           VARCHAR(20) NOT NULL
);




CREATE TABLE FCM_SCENARIO
(
        SCENARIO_SK          NUMERIC(10) NOT NULL GENERATED ALWAYS AS IDENTITY PRIMARY KEY,
        SEGMENT_ID           VARCHAR(128) NOT NULL ,
        RECORD_VERSION_NO    NUMERIC(10)  ,
        PREP_TABLE_RK        VARCHAR(20)  ,
        ENTITY_RK            VARCHAR(20)  ,
        ENTITY_VARIABLE_RK   VARCHAR(20)  ,
        SCENARIO_GROUP_RK    VARCHAR(20) NOT NULL ,
        SCENARIO_NM          VARCHAR(255)  ,
        SCENARIO_DESC        VARCHAR(1000)  ,
        RULE_FORMULA         VARCHAR(1000)  ,
        SCENARIO_WEIGHT_NO   NUMERIC(10,2)  ,
        SCENARIO_SEVERITY_SCORE_NO NUMERIC(10,2)  ,
        SCENARIO_TYPE_CD     VARCHAR(20)  ,
        SCENARIO_PURPOSE_CD  VARCHAR(20)  ,
        DATA_PROCESSING_TYPE_CD VARCHAR(20)  ,
        RECIPIENT_TYPE_CD    VARCHAR(20)  ,
        RECIPIENT_ID         VARCHAR(32)  ,
        SCENARIO_RUN_ORDER_NO NUMERIC(10)  ,
        DEFAULT_SUPPRESS_MS_NO NUMERIC(19)  ,
        SAS_FILE_PATH_NM     VARCHAR(1000)  ,
        SCENARIO_STATUS_CD   VARCHAR(20)  ,
        ROUTING_GROUP_RK     VARCHAR(20)  ,
        SUPPRESSION_GROUP_RK VARCHAR(20)  ,
        RUN_FREQUENCY_TYPE_CD VARCHAR(3)  ,
        CREATED_USER_ID      VARCHAR(32)  ,
        CREATED_MS_NO        NUMERIC(19)  ,
        MODIFIED_MS_NO       NUMERIC(19)  ,
        MODIFIED_USER_ID     VARCHAR(32)  ,
        VALID_FROM_DTTM      TIMESTAMP  ,
        VALID_TO_DTTM        TIMESTAMP  ,
        LOGICAL_DELETE_FLG   CHAR(1)  ,
        LOGICAL_RK           VARCHAR(20) NOT NULL
);



CREATE TABLE FCM_SCENARIO_BY_VARIABLE
(
        SCENARIO_BY_VARIABLE_SK NUMERIC(10) NOT NULL GENERATED ALWAYS AS IDENTITY PRIMARY KEY,
        SEGMENT_ID           VARCHAR(128) NOT NULL ,
        RECORD_VERSION_NO    NUMERIC(10)  ,
        SCENARIO_RK          VARCHAR(20) NOT NULL ,
        DISPLAY_ORDER_NO     NUMERIC(6)  ,
        VARIABLE_NM          VARCHAR(255)  ,
        CREATED_USER_ID      VARCHAR(32)  ,
        CREATED_MS_NO        NUMERIC(19)  ,
        MODIFIED_MS_NO       NUMERIC(19)  ,
        MODIFIED_USER_ID     VARCHAR(32)  ,
        VALID_FROM_DTTM      TIMESTAMP  ,
        VALID_TO_DTTM        TIMESTAMP  ,
        LOGICAL_DELETE_FLG   CHAR(1)  ,
        LOGICAL_RK           VARCHAR(20) NOT NULL
);




CREATE TABLE FCM_SCENARIO_CALC_VAR
(
        SCENARIO_CALC_VAR_SK NUMERIC(10) NOT NULL GENERATED ALWAYS AS IDENTITY PRIMARY KEY,
        SEGMENT_ID           VARCHAR(128) NOT NULL ,
        RECORD_VERSION_NO    NUMERIC(10)  ,
        SCENARIO_RK          VARCHAR(20) NOT NULL ,
        DATA_TYPE_CD         VARCHAR(20)  ,
        VARIABLE_USE_CD      VARCHAR(20)  ,
        VARIABLE_FIELD_LENGTH_NO NUMERIC(10)  ,
        VARIABLE_NM          VARCHAR(255)  ,
        CREATED_USER_ID      VARCHAR(32)  ,
        CREATED_MS_NO        NUMERIC(19)  ,
        MODIFIED_MS_NO       NUMERIC(19)  ,
        MODIFIED_USER_ID     VARCHAR(32)  ,
        VALID_FROM_DTTM      TIMESTAMP  ,
        VALID_TO_DTTM        TIMESTAMP  ,
        LOGICAL_DELETE_FLG   CHAR(1)  ,
        LOGICAL_RK           VARCHAR(20) NOT NULL
);





CREATE TABLE FCM_SCENARIO_GROUP
(
        SCENARIO_GROUP_SK    NUMERIC(10) NOT NULL GENERATED ALWAYS AS IDENTITY PRIMARY KEY,
        SEGMENT_ID           VARCHAR(128) NOT NULL ,
        PROJECT_RK           VARCHAR(20) NOT NULL ,
        RECORD_VERSION_NO    NUMERIC(10)  ,
        SCENARIO_GROUP_NM    VARCHAR(255)  ,
        SCENARIO_GROUP_DESC  VARCHAR(1000)  ,
        GROUP_TYPE_CD        VARCHAR(20)  ,
        SCENARIO_GROUP_PURPOSE_CD VARCHAR(20)  ,
        DATA_PROCESSING_TYPE_CD VARCHAR(20)  ,
        RECIPIENT_TYPE_CD    VARCHAR(20)  ,
        RECIPIENT_ID         VARCHAR(32)  ,
        CUSTOM_HEADER_FILE_PATH VARCHAR(1000)  ,
        CUSTOM_FOOTER_FILE_PATH VARCHAR(1000)  ,
        PRE_PROCESS_FILE_PATH VARCHAR(1000)  ,
        POST_PROCESS_FILE_PATH VARCHAR(1000)  ,
        ROUTING_GROUP_RK     VARCHAR(20)  ,
        SUPPRESSION_GROUP_RK VARCHAR(20)  ,
        RUN_FREQUENCY_TYPE_CD VARCHAR(3)  ,
        SUPPRESSION_MS_NO    NUMERIC(19)  ,
        CREATED_USER_ID      VARCHAR(32)  ,
        CREATED_MS_NO        NUMERIC(19)  ,
        MODIFIED_MS_NO       NUMERIC(19)  ,
        MODIFIED_USER_ID     VARCHAR(32)  ,
        VALID_FROM_DTTM      TIMESTAMP  ,
        VALID_TO_DTTM        TIMESTAMP  ,
        LOGICAL_DELETE_FLG   CHAR(1)  ,
        LOGICAL_RK           VARCHAR(20) NOT NULL
);




CREATE TABLE FCM_SEQUENCE
(
        SEQ_NAME             VARCHAR(40) NOT NULL ,
        LAST_VAL             NUMERIC(10) NOT NULL ,
        INC_BY               NUMERIC(10)
);

ALTER TABLE FCM_SEQUENCE
        ADD  PRIMARY KEY (SEQ_NAME);



INSERT INTO FCM_SEQUENCE (SEQ_NAME,LAST_VAL,INC_BY) VALUES ('LOGICAL_RK',0,20);
INSERT INTO FCM_SEQUENCE (SEQ_NAME,LAST_VAL,INC_BY) VALUES ('MANAGED_LIST_NO',0,20);
INSERT INTO FCM_SEQUENCE (SEQ_NAME,LAST_VAL,INC_BY) VALUES ('ALERT_SK',0,20);
INSERT INTO FCM_SEQUENCE (SEQ_NAME,LAST_VAL,INC_BY) VALUES ('ALERT_ENRICHMENT_SK',0,20);
INSERT INTO FCM_SEQUENCE (SEQ_NAME,LAST_VAL,INC_BY) VALUES ('ALERT_RISK_FACTOR_SK',0,20);
INSERT INTO FCM_SEQUENCE (SEQ_NAME,LAST_VAL,INC_BY) VALUES ('ALERT_ENTITY_SK',0,20);
INSERT INTO FCM_SEQUENCE (SEQ_NAME,LAST_VAL,INC_BY) VALUES ('EVENT_SK',0,20);
INSERT INTO FCM_SEQUENCE (SEQ_NAME,LAST_VAL,INC_BY) VALUES
('ALERT_REMINDER_SK',0,20);

INSERT INTO FCM_SEQUENCE (SEQ_NAME,LAST_VAL,INC_BY) VALUES ('DOCUMENT_SK',0,20);

INSERT INTO FCM_SEQUENCE (SEQ_NAME,LAST_VAL,INC_BY) VALUES ('COMMENT_SK',0,20);

INSERT INTO FCM_SEQUENCE (SEQ_NAME,LAST_VAL,INC_BY) VALUES ('EMAIL_SK',0,20);
