/******************************************************************************\
* $Id: proj_by_variable_view.sas,v 1.1.2.1.4.1 2012/03/07 13:36:11 saswai Exp $
*
* Copyright(c) 2011 SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
*
* Name: proj_by_variable_view.sas
*
* Purpose: Creates view proj_by_variable_view.  This table provides information
* about by variables to other processes.
*
* Author: stuhor
*
* Support: SAS(r) Solutions OnDemand
*
* Input:
*
* Output:  proj_by_variable_view
*
* Parameters: (if applicable)
*
* Dependencies/Assumptions:     _scenario_view,
*                               FCM.FCM_SCENARIO_BY_VARIABLE
*                               
* Usage:
*
* ddmmmyyyy userid description (Change Code)
* History: Initial check in
\******************************************************************************/

proc sql noprint;
	create table PROJ_BY_VARIABLE_view as
	select 	X_BY_VAR.SCENARIO_BY_VARIABLE_SK, 
			X_BY_VAR.SEGMENT_ID, 
			X_BY_VAR.RECORD_VERSION_NO,
			X_BY_VAR.SCENARIO_RK,
			X_BY_VAR.DISPLAY_ORDER_NO,
			X_BY_VAR.VARIABLE_NM LABEL='BY_VARIABLE_NM' as BY_VARIABLE_NM,	/* 8-9-11 changed variable_nm to BY_VARIABLE_NM */
			X_BY_VAR.CREATED_USER_ID,
			X_BY_VAR.CREATED_MS_NO,
			X_BY_VAR.MODIFIED_MS_NO,
			X_BY_VAR.VALID_FROM_DTTM,
			X_BY_VAR.VALID_TO_DTTM,
			X_BY_VAR.LOGICAL_DELETE_FLG,
			X_BY_VAR.LOGICAL_RK,
			
	       	SCENARIO.*

	from  	_SCENARIO_VIEW as SCENARIO,
	      	&libref..FCM_SCENARIO_BY_VARIABLE as X_BY_VAR

   	where 	SCENARIO.LOGICAL_RK=X_BY_VAR.SCENARIO_RK and
          	SCENARIO.LOGICAL_DELETE_FLG='N' and
			X_BY_VAR.LOGICAL_DELETE_FLG='N'  /* 8-11-11  Added */
        
	order by SCENARIO.PROJECT_RK,
	         X_BY_VAR.SCENARIO_RK,
	         X_BY_VAR.DISPLAY_ORDER_NO;
	quit;
